<div class="login">
  <form class="form" [formGroup]="form">
    <app-input label="Email" formControlName="email"></app-input>
    <app-input label="Password" type="password" formControlName="password"></app-input>

    <app-button label="Submit" (outClick)="onSubmit(form.value)" [disabled]="!form.valid"></app-button>
  </form>
</div>
